[Forgot Password]
Login  Register Subscribe

23631

 
 

127000

 
 

102010

 
 

909

 
 

81309

 
 

123

Paid content will be excluded from the download.


Download | Alert*
CVE
view XML view JSON

CVE-2014-0240Date: (C)2014-05-29   (M)2018-02-19


The mod_wsgi module before 3.5 for Apache, when daemon mode is enabled, does not properly handle error codes returned by setuid when run on certain Linux kernels, which allows local users to gain privileges via vectors related to the number of running processes.

CVSS V3 Severity:CVSS V2 Severity:
CVSS Score  : CVSS Score  : 6.2
Exploit Score: Exploit Score: 1.9
Impact Score : Impact Score : 10.0
 
CVSS V3 Metrics:CVSS V2 Metrics:
Attack Vector: Access Vector: LOCAL
Attack Complexity: Access Complexity: HIGH
Privileges Required: Authentication: NONE
User Interaction: Confidentiality: COMPLETE
Scope: Integrity: COMPLETE
Confidentiality: Availability: COMPLETE
Integrity:  
Availability:  
  





Reference:
SECUNIA-59551
SECUNIA-60094
BID-67532
RHSA-2014:0789
http://www.openwall.com/lists/oss-security/2014/05/21/1
http://blog.dscpl.com.au/2014/05/security-release-for-modwsgi-version-35.html
http://modwsgi.readthedocs.org/en/latest/release-notes/version-3.5.html

CPE    21
cpe:/a:modwsgi:mod_wsgi:1.2
cpe:/a:modwsgi:mod_wsgi:2.1
cpe:/a:modwsgi:mod_wsgi:3.0
cpe:/a:modwsgi:mod_wsgi:1.3
...
CWE    1
CWE-264
OVAL    12
oval:org.secpod.oval:def:702045
oval:org.secpod.oval:def:1600104
oval:org.secpod.oval:def:203347
oval:org.secpod.oval:def:107150
...

© 2013 SecPod Technologies